use mox::vm::{InterpretResult, VM};
use mox::Chunk;
use mox::OptCode;

fn main() {
    let mut chunk = Chunk::new();

    let constant_idx: u8 = chunk.write_value(1.2);
    chunk.write(OptCode::OpConstant.into(), 123);
    chunk.write(constant_idx, 123);

    let constant_idx: u8 = chunk.write_value(5.2);
    chunk.write(OptCode::OpConstant.into(), 125);
    chunk.write(constant_idx, 125);

    chunk.write(OptCode::OpAdd.into(), 124);

    chunk.write(OptCode::OpReturn.into(), 126);

    let mut vm: VM = VM::new();
    let _: InterpretResult = vm.interpret(&chunk);
}
